define({
  root: ({
    queries: "Queries",
    addNew: "Add new",
    newQuery: "New query",
    queryLayer: "Query layer",
    setSource: "Set",
    setDataSource: "Set data source",
    name: "Name",
    querySource: "Data source",
    queryName: "Task name",
    queryDefinition: "Filter definition",
    resultsSetting: "Results setting",
    symbolSetting: "Symbol setting",
    resultSettingTip: "Define what and how to display the output results.",
    resultItemTitle: "Title of each result item",
    resultItemContent: "These field attributes will display",
    fieldsSetTip: "Check the fields you want to display. Select a field to update its alias, order, and format.",
    addField: "Add field",
    visibility: "Visibility",
    alias: "Alias",
    specialType: "Special type",
    actions: "Actions",
    none: "None",
    link: "Link",
    image: "Image",
    noField: "No field",
    operationalLayerTip: "Add result as operational layer",
    setLayerSymbolTip: "Set symbol for query results: ",
    setSelectedSymbolTip: "Set symbol of selected feature.",
    notUseFilter: "Don't use filter",
    setSourceTip: "Please set query source.",
    setFilterTip: "Please set filter correctly.",
    ok: "OK",
    cancel: "Cancel",
    noFilterTip: "Without filter expression defined, this query task will list all features in the specified data source.",
    relationships: "Relationships",
    addRelationshipLayer: "Add new relationship",
    relatedTo: "Related to",
    selectOption: "Please select..",
    resultItemSorting: "Result item sorting",
    field: "Field",
    sortingOrder: "Order",
    configureFieldsTip: "Please configure the fields which the query result will be sorted by.",
    setSortingFields: "Set sorting fields",
    ascending: "Ascending",
    descending: "Descending",
    sortBy: "Sort by",
    thenBy: "Then by",
    addTask: "Add task",
    noTasksTip: "No queries configured. Click \"${newQuery}\" to add a new one.",
    infoText: "Info",
    filters: "Filters",
    results: "Results",
    optionsText: "Options",
    summaryText: "Summary",
    attributeFilter: "Attributes filter",
    attributeFilterTip: "Define attribute expressions for use in the widget to filter the query layer .",
    defineWhereClause: "Define a where clause for the query.",
    noExpressionDefinedTip: "No expression defined. All records will be returned.",
    setExpressions: "Set expressions",
    spatialFilter: "Spatial filters",
    spatialFilterTip: "Choose which spatial filters will be available to end users.",
    defaultOption: "Default",
    useCurrentExtentTip: "Only return features within current map extent",
    useDrawGraphicTip: "Only return features that intersect with the shape drawn on the map",
    useFeaturesTip: "Only return features that have a spatial relationship with features in another layer",
    noSpatialLimitTip: "Return features within full extent of the map",
    drawingTools: "Choose drawing tools",
    bufferSettings: "Enable buffer option",
    defaultDistance: "Default distance",
    bufferDistance: "Buffer distance",
    defaultUnit: "Default unit",
    miles: "Miles",
    kilometers: "Kilometers",
    feet: "Feet",
    meters: "Meters",
    yards: "Yards",
    nauticalMiles: "Nautical miles",
    availableSpatialRelationships: "Choose spatial relationship rules",
    setSpatialRelationships: "Set spatial relationships",
    availability: "Availability",
    relationship: "Relationship",
    label: "Label",
    intersect: "intersect",
    contain: "contain",
    areContainedIn: "are contained in",
    cross: "cross",
    envelopeIntersect: "envelope intersect",
    overlap: "overlap",
    areOverlapped: "are overlapped",
    touch: "touch",
    within: "within",
    areWithin: "are within",
    indexIntersect: "index intersect",
    itemTitle: "Item title",
    displayFields: "Display fields",
    sortingFields: "Sort result items",
    setDisplayFields: "Set display fields",
    symbol: "Symbol",
    setSymbol: "Use custom symbol",
    changeSymbolAtRuntime: "Allow to change symbols at runtime",
    serviceSymbolTip: "Use symbols defined by the layer",
    exportTip: "Allow to export results",
    keepResultsTip: "Keep results on the map after widget is closed",
    queryRelatedRecords: "Query related records",
    createLayerForTaskTip: "Specify how the query task creates layers",
    oneLayerForTaskTip: "Overwrite the layer every time the query is executed",
    multipleLayerForTaskTip: "Create a new layer every time the query is executed",
    makeDefault: "Make default",
    icon: "Icon",
    newTask: "New task",
    addTaskTip: "Add one or more queries to the widget and configure parameters for each of them.",
    webMapPopupTip: "Use layer's pop-up configuration in the web map",
    customPopupTip: "Configure custom content",
    showResultsSetActions: "Show actions for the results set",
    zoomTo: "Zoom to",
    openAttributeTable: "View in Attribute Table",
    content: "Content",
    displaySQLTip: "Display SQL expression for end users",
    useLayerDefaultSymbol: "Use layer's default symbol",
    setCustomIcon: "Set custom icon",
    layerDefaultSymbolTip: "Use layer's default symbol",
    uploadImage: "Upload an image",
    attributeCriteira: "Attribute criteria",
    specifyFilterAtRuntimeTip: "Users will need to specify parameters for this expression.",
    value: "VALUE",
    hideLayersTip: "Turn off query result layers when the widget is closed.",
    tabLabels: "Tab labels",
    tasks: "Tasks",
    queryCriteira: "Query criteria",
    allowCustomQuery: "Allow to create custom query",
    showFilterLabelTip: "Show filter labels",
    querySettings: "Query settings",
    expandTip: "Expand the results list by default",
    customResultNameTip: "Show option to configure custom <strong>Result layer name</strong>"
  }),
  "ar": 1,
  "bs": 1,
  "ca": 1,
  "cs": 1,
  "da": 1,
  "de": 1,
  "el": 1,
  "es": 1,
  "et": 1,
  "fi": 1,
  "fr": 1,
  "he": 1,
  "hr": 1,
  "hu": 1,
  "it": 1,
  "id": 1,
  "ja": 1,
  "ko": 1,
  "lt": 1,
  "lv": 1,
  "nb": 1,
  "nl": 1,
  "pl": 1,
  "pt-br": 1,
  "pt-pt": 1,
  "ro": 1,
  "ru": 1,
  "sl": 1,
  "sr": 1,
  "sv": 1,
  "th": 1,
  "tr": 1,
  "uk": 1,
  "vi": 1,
  "zh-cn": 1,
  "zh-hk": 1,
  "zh-tw": 1
});
